# MySQL dump 8.14
#
# Host: localhost    Database: hlr
#--------------------------------------------------------
# Server version	3.23.38

#
# Table structure for table 'fdesc'
#

CREATE TABLE fdesc (
  fid varchar(8) NOT NULL default '',
  descr varchar(40) default NULL,
  total int(11) default NULL,
  spent int(11) default NULL,
  PRIMARY KEY  (fid)
) TYPE=MyISAM;

#
# Dumping data for table 'fdesc'
#


#
# Table structure for table 'gf'
#

CREATE TABLE gf (
  fid varchar(8) NOT NULL default '',
  gid varchar(8) NOT NULL default '',
  total int(11) default NULL,
  booked int(11) default NULL,
  spent int(11) default NULL,
  PRIMARY KEY  (fid,gid)
) TYPE=MyISAM;

#
# Dumping data for table 'gf'
#


#
# Table structure for table 'grdesc'
#

CREATE TABLE grdesc (
  gid varchar(8) NOT NULL default '',
  descr varchar(40) default NULL,
  PRIMARY KEY  (gid)
) TYPE=MyISAM;

#
# Dumping data for table 'grdesc'
#


#
# Table structure for table 'rgf'
#

CREATE TABLE rgf (
  rid varchar(8) NOT NULL default '',
  gid varchar(8) default NULL,
  fid varchar(8) default NULL,
  total int(11) default NULL,
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table 'rgf'
#



CREATE TABLE trans_in (
  tid int(11) NOT NULL auto_increment,
  rid varchar(8) default NULL,
  gid varchar(8) default NULL,
  from_dn varchar(160) default NULL,
  from_url varchar(160) default NULL,
  amount int(11) default NULL,
  tr_stamp varchar(12) NOT NULL,   
  dg_jobid varchar(160) default NULL,
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

CREATE TABLE transInLog (
  dgJobId varchar(160) NOT NULL,
  log blob NOT NULL,
  PRIMARY KEY  (dgJobId)
) TYPE=MyISAM;


CREATE TABLE trans_out (
  tid int(11) NOT NULL auto_increment,
  uid varchar(8) default NULL,
  gid varchar(8) default NULL,
  to_dn varchar(160) default NULL,
  to_url varchar(160) default NULL,
  amount int(11) default NULL,
  tr_stamp varchar(12) NOT NULL,
  dg_jobid varchar(160) default NULL,
  PRIMARY KEY  (tid)
) TYPE=MyISAM;


CREATE TABLE transOutLog (
  dgJobId varchar(160) NOT NULL,
  log blob NOT NULL,
  PRIMARY KEY  (dgJobId)
) TYPE=MyISAM;

# Table structure for table 'acctdesc'
#

CREATE TABLE acctdesc (
  id varchar(8) NOT NULL default '',
  a_type varchar(40) default NULL,
  email varchar(40) default NULL,
  descr varchar(40) default NULL,
  cert_subject varchar(160) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


# Table structure for table 'ug'
#

CREATE TABLE ugf (
  uid varchar(8) NOT NULL default '',
  gid varchar(8) NOT NULL default '',
  fid varchar(8) NOT NULL default '',
  assigned int(11) default NULL,
  booked int(11) default NULL,
  spent int(11) default NULL,
  PRIMARY KEY  (uid,gid)
) TYPE=MyISAM;

#
# Dumping data for table 'ug'
#

CREATE TABLE jobAuth (
  seqNumber int(11) NOT NULL auto_increment,
  dgJobId varchar(160) NOT NULL,
  usrCert varchar(160) NOT NULL,
  submTime int(11) NOT NULL,
  PRIMARY KEY  (seqNumber)
) TYPE=MyISAM;



