// $Id: hlrFdesc.h,v 1.2 2003/09/02 14:13:05 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/


#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/int2string.h"
#include"edg/workload/dgas/common/db.h"

using namespace std;

class hlrFdesc {
	public:
		string fid;//db primary key
		string descr;
		int total;
		int spent;

		hlrFdesc(string _fid = "", 
				string _descr= "",
				int _total = 0,
				int _spent = 0);

		int get (); //gets fubnd info from fid
		int get (vector<hlrFdesc>& fv);
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys ( vector<string>& keys);

		int credit (int& v);
		int debit (int& v);
		
};
