// $Id: hlrFund.h,v 1.2 2003/09/02 14:13:05 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLR_FUND_H
#define HLR_FUND_H

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/hlr_api/hlrFdesc.h"

using namespace std;

class hlrFund {
	public:
		string fid;//db primary key
		string descr;

		int total;
		int spent;

		hlrFund(string _fid = "",
			        string _descr= "",	
				int _total = 0,
				int _spent = 0
				);


		int get (); //gets group info from gid || fid || descr 
		int get (vector<hlrFund>& fv);// gets every matching record

		int put (); //dumb put, doesn't do any check, replace info 
			    //if present! Remember to create the user group 
			    //before inserting the user(no check is performed
			    //at this level wether the group description 
			    //exists or not!). (It tries to roll back the DB
			    //if something goes wrong).

		int del (); //dumb delete

		bool exists ();//try guessing what it does!

		int getKeys (vector<string>& keys);//get matching keys

		int credit(int v);
		int debit(int v);
};


#endif
