// $Id: hlrGf.h,v 1.2 2003/09/02 14:13:05 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRGF
#define HLRGF

using namespace std;

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/db.h"
#include"edg/workload/dgas/common/int2string.h"

class hlrGf {
	public:
		string gid;//db primary key
		string fid;
		int total;
		int booked;
		int spent;
		
		hlrGf (string _gid = "", 
				string _fid= "",
				int _total = 0,
				int _booked = 0,
				int _spent = 0);

		int get (); //gets user info from gid || fid
		int get (vector<hlrGf>& gv);
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys (vector<string>& keys);
		
		int credit(int& value);
		int debit(int& value);
};

#endif
