// $Id: hlrRgf.h,v 1.2 2003/09/02 14:13:06 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRRGF
#define HLRRGF


#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/db.h"
#include"edg/workload/dgas/common/int2string.h"

using namespace std;

class hlrRgf {
	public:
		string rid;//db primary key
		string gid;
		string fid;
		int total;
		
		hlrRgf (string _rid = "", 
				string _gid= "",
				string _fid= "",
				int _total = 0);

		int get (); //gets user info from ris & gid & fid
		int get (vector<hlrRgf>& rv);
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys (vector<string>& keys);

		int credit(int& v);
		int debit(int& v);
		
};

#endif
