// $Id: hlrTransOut.h,v 1.2 2003/09/02 14:13:06 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#ifndef HLR_TRANSOUT_H
#define HLR_TRANSOUT_H

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/db.h"
#include"edg/workload/dgas/common/int2string.h"

using namespace std;

class hlrTransOut {
	public:
		int	tid;//db primary key
		string uid;
		string gid;
		string toDn;
		string toUrl;
		int amount;
		string timeStamp;
		string dgJobId;
		
		hlrTransOut (int _tid = 0, 
				string _uid= "",
				string _gid= "",
				string _toDn= "",
				string _toUrl= "",
				int _amount = 0,
				string _timeStamp = "",
				string _dgJobId = "");

		int get (); //gets user info from gid || gid
		int get (vector<hlrTransOut>& tv);
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys(vector<int>& keys);
		
};
#endif
