// DGAS (DataGrid Accounting System) 
// Client APIs.
// 
// $Id: edg-wl-dgas-paClient.h,v 1.2 2003/04/15 12:25:32 joda Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
 /***************************************************************************
 * Code borrowed from:
 *  authors   :
 *  copyright : 
 ***************************************************************************/
//
//    

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#include <string>
#include <vector>
#include <sstream>
#include <fstream>
#include <libPA_comm.h>
#include <LDAPSynchConnection.h>
#include <LDAPQuery.h>
#include <LDAPForwardIterator.h>
#include <LDIFObject.h>
#ifndef GSI
#include "SocketClient.h"
#include "SocketAgent.h"
#else
#include "GSISocketClient.h"
#include "GSISocketAgent.h"
#endif
#include "comm_struct.h"
#include "xmlUtil.h"
#include "stringSplit.h"
#include "int2string.h"

using namespace std;
#ifndef EDG_SOCKETPP
using namespace edg::workload::common::socket_pp;
#endif

int cert2hostname( string cert_subject , string *hostname);

int get_defaultPA (string *pa_url_string);

int pac_parse_xml(string &input_message, price *res_price);

int dgas_pa_client(string _acct_pa_id , price *res_price);

void pa_xml_compose(price &price_query, string *xml);

