// $Id: hlrAcctdesc.h,v 1.2 2003/09/02 14:13:05 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRACCTDESC
#define HLRACCTDESC

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/db.h"
#include"edg/workload/dgas/common/dgasVersion.h"

using namespace std;

class hlrAcctdesc {
	public:
		string id;//db primary key
		string type;
		string email;
		string descr;
		string certSubject;

		hlrAcctdesc(string _uid = "", 
				string _type= "",
				string _email= "",
				string _descr= "",
				string _certSubject = "");


		int get (); //gets user info from uid || email || certSubject
		int get (vector<hlrAcctdesc>& av);// gets every matching record
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys (vector<string>& keys);//get matching keys

		friend	ostream& operator << ( ostream& os, const hlrAcctdesc& a );
		
};

#endif



