// $Id: hlrResource.h,v 1.2 2003/09/02 14:13:06 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRRESOURCE
#define HLRRESOURCE

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/hlr_api/hlrAcctdesc.h"
#include"edg/workload/dgas/hlr_api/hlrRgf.h"

using namespace std;

class hlrResource {
	public:
		string rid;//db primary key
		string email;
		string descr;
		string certSubject;
		string gid;
		string fid;

		int total;

		hlrResource(string _rid = "",
				string _email= "",
				string _descr= "",
				string _certSubject = "",
			        string _gid= "",	
			        string _fid= "",	
				int _total = 0
				);


		int get (); //gets user info from uid || gid || email || certSubject
		int get (vector<hlrResource>& rv);// gets every matching record

		int put (); //dumb put, doesn't do any check, replace info 
			    //if present! Remember to create the user group 
			    //before inserting the user(no check is performed
			    //at this level wether the group description 
			    //exists or not!). (It tries to roll back the DB
			    //if something goes wrong).

		int del (); //dumb delete

		bool exists ();//try guessing what it does!

		int getKeys (vector<string>& keys);//get matching keys

		int credit(int v);
		int debit(int v);

		friend	ostream& operator<< (ostream& os, const hlrResource& r );

		
};




#endif
