// $Id: hlrUgf.h,v 1.2 2003/09/02 14:13:07 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Authors: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/
#ifndef HLRUG
#define HLRUG

#include<string>
#include<iostream>
#include<sstream>
#include"edg/workload/dgas/common/db.h"
#include"edg/workload/dgas/common/int2string.h"

using namespace std;

class hlrUgf {
	public:
		string uid;//db primary key
		string gid;
		string fid;
		int assigned;
		int booked;
		int spent;
		
		hlrUgf (string _uid = "", 
				string _gid= "",
				string _fid= "",
				int _assigned = 0,
				int _booked = 0,
				int _spent = 0);

		int get (); //gets user info from uid || email || certSubject
		int get (vector<hlrUgf>& uv);
		int put (); //dumb put, doesn't do any check replace info if present!
		int del (); //dumb delete
		bool exists ();
		int getKeys(vector<string>& keys);

		int credit(int& value);
		int debit(int& value);
		
};

#endif
