#ifndef JOBAUTH_H
#define JOBAUTH_H
#include <string>
#include <sstream>
#include "edg/workload/dgas/common/hlr_prot_errcode.h"
#include "edg/workload/dgas/common/db.h"
#include "edg/workload/dgas/common/int2string.h"

using namespace std;

class jobAuth {

public:
	string dgJobId;
	string usrCert;
	int submTime;

	jobAuth ( int _seqNumber=0, 
		       	string _dgJobId="", 
			string _usrCert="", 
			int _submTime=0);
	
	int getSeqNumber(){return seqNumber;}
	
	int put();
	int get(string _dgJobId); //0 on success (1 row retrieved)
	int remove();
	
	int friend remove(string _dgJobId);



private:
	
	int seqNumber;
	
};
#endif
