#ifndef QTRANSACTION_H
#define QTRANSACTION_H
#include <sstream>
#include "edg/workload/dgas/common/db.h"
#include "edg/workload/dgas/common/int2string.h"

using namespace std;
class qTransaction {

	
public:

	string transactionId;
	string fromCertSubject;
	string toCertSubject;
	string fromHlrId;
	string toHlrId;
	int amount;
	string timestamp;
	string logData;
	int priority; //0 Maximum, 10 minimum =  permanent error.
	int statusTime; //timestamp for the current status.
	string tType;

	qTransaction ( string _transactionId="",
			string _fromCertSubject="",
			string _toCertSubject="",
			string _fromHlrId="",
			string _toHlrId="",
			int _amount=0,
			string _timestamp="",
			string _logData="",
			int _priority=0,
			int _statusTime=0,
			string tType="nd"
		     );
	int put();
	int get(int _priority); //return the first entry with a given priority
	int update();
	int remove();

	int friend remove(string _transactionId);	

	

private:
	
	
};
#endif
